---
openapi: 3.0.3
info:
  title: sefaz-dare API
  version: 1.0.0
servers:
- url: https://sefaz-dare.api-hml.rota.sp.gov.br
  description: Homologação
security:
- IdpSP:
  - ""
  - profile
paths:
  /dares:
    post:
      tags:
      - V1
      summary: Emissão de dare
      parameters:
      - name: login
        in: header
        description: Usuário de acesso a SEFAZ
        required: true
        schema:
          type: string
      - name: senha
        in: header
        description: Senha de acesso a SEFAZ
        required: true
        schema:
          type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RequestEmitirDare'
        required: true
      responses:
        "200":
          description: Executado com sucesso
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseEmitirDare'
        "204":
          description: Sucesso sem retorno
        "400":
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    enum:
                    - 400
                    type: string
                  trace:
                    description: Trace ID
                    type: string
                  messages:
                    type: array
                    items:
                      description: Mensagens de erro
                      type: string
        "500":
          description: Erro Inesperado no Servidor
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    enum:
                    - 500
                    type: string
                  trace:
                    description: Trace ID
                    type: string
                  messages:
                    type: array
                    items:
                      description: Mensagens de erro
                      type: string
      security:
      - IdpSP:
        - api:integrador.sefaz.dare
  /v2/pagamentos/{id}:
    get:
      tags:
      - V2
      summary: Consulta pagamento de dare
      parameters:
      - name: id
        in: path
        description: Número de controle
        required: true
        schema:
          type: string
      - name: login
        in: header
        description: Usuário de acesso a SEFAZ
        required: true
        schema:
          type: string
      - name: senha
        in: header
        description: Senha de acesso a SEFAZ
        required: true
        schema:
          type: string
      responses:
        "200":
          description: Executado com sucesso
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseConsultaDare'
        "204":
          description: Sucesso sem retorno
        "400":
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    enum:
                    - 400
                    type: string
                  trace:
                    description: Trace ID
                    type: string
                  messages:
                    type: array
                    items:
                      description: Mensagens de erro
                      type: string
        "500":
          description: Erro Inesperado no Servidor
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    enum:
                    - 500
                    type: string
                  trace:
                    description: Trace ID
                    type: string
                  messages:
                    type: array
                    items:
                      description: Mensagens de erro
                      type: string
      security:
      - IdpSP:
        - api:integrador.sefaz.dare
  /v2/dares/{id}:
    get:
      tags:
      - V2
      summary: Consulta dare
      parameters:
      - name: id
        in: path
        description: Número de controle documento principal
        required: true
        schema:
          type: string
      - name: idDocDetalhe
        in: query
        description: Número de controle documento detalhe
        required: false
        schema:
          type: string
      - name: gerarPdf
        in: query
        description: Geração de pdf
        required: false
        schema:
          type: string
      - name: login
        in: header
        description: Usuário de acesso a SEFAZ
        required: true
        schema:
          type: string
      - name: senha
        in: header
        description: Senha de acesso a SEFAZ
        required: true
        schema:
          type: string
      responses:
        "200":
          description: Executado com sucesso
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseConsultaDareV2'
        "204":
          description: Sucesso sem retorno
        "400":
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    enum:
                    - 400
                    type: string
                  trace:
                    description: Trace ID
                    type: string
                  messages:
                    type: array
                    items:
                      description: Mensagens de erro
                      type: string
        "500":
          description: Erro Inesperado no Servidor
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    enum:
                    - 500
                    type: string
                  trace:
                    description: Trace ID
                    type: string
                  messages:
                    type: array
                    items:
                      description: Mensagens de erro
                      type: string
      security:
      - IdpSP:
        - api:integrador.sefaz.dare
  /v2/dares/{id}/status:
    put:
      tags:
      - V2
      summary: Inutilização de dare
      parameters:
      - name: id
        in: path
        description: Número de controle
        required: true
        schema:
          type: string
      - name: login
        in: header
        description: Usuário de acesso a SEFAZ
        required: true
        schema:
          type: string
      - name: senha
        in: header
        description: Senha de acesso a SEFAZ
        required: true
        schema:
          type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RequestInutilizaDare'
        required: true
      responses:
        "200":
          description: Executado com sucesso
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseInutilizaDare'
        "204":
          description: Sucesso sem retorno
        "400":
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    enum:
                    - 400
                    type: string
                  trace:
                    description: Trace ID
                    type: string
                  messages:
                    type: array
                    items:
                      description: Mensagens de erro
                      type: string
        "500":
          description: Erro Inesperado no Servidor
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    enum:
                    - 500
                    type: string
                  trace:
                    description: Trace ID
                    type: string
                  messages:
                    type: array
                    items:
                      description: Mensagens de erro
                      type: string
      security:
      - IdpSP:
        - api:integrador.sefaz.dare
  /v2/dares/status:
    put:
      tags:
      - V2
      summary: Inutilização de dares em lote
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RequestInutilizaDaresLote'
        required: true
      responses:
        "200":
          description: Executado com sucesso
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ResponseInutilizaDaresLote'
        "204":
          description: Sucesso sem retorno
        "400":
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    enum:
                    - 400
                    type: string
                  trace:
                    description: Trace ID
                    type: string
                  messages:
                    type: array
                    items:
                      description: Mensagens de erro
                      type: string
        "500":
          description: Erro Inesperado no Servidor
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    enum:
                    - 500
                    type: string
                  trace:
                    description: Trace ID
                    type: string
                  messages:
                    type: array
                    items:
                      description: Mensagens de erro
                      type: string
      security:
      - IdpSP:
        - api:integrador.sefaz.dare
  /v2/dares:
    post:
      tags:
      - V2
      summary: Emissão de dare
      parameters:
      - name: login
        in: header
        description: Usuário de acesso a SEFAZ
        required: true
        schema:
          type: string
      - name: senha
        in: header
        description: Senha de acesso a SEFAZ
        required: true
        schema:
          type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RequestEmitirDareV2'
        required: true
      responses:
        "200":
          description: Executado com sucesso
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseEmitirDareV2'
        "204":
          description: Sucesso sem retorno
        "400":
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    enum:
                    - 400
                    type: string
                  trace:
                    description: Trace ID
                    type: string
                  messages:
                    type: array
                    items:
                      description: Mensagens de erro
                      type: string
        "500":
          description: Erro Inesperado no Servidor
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    enum:
                    - 500
                    type: string
                  trace:
                    description: Trace ID
                    type: string
                  messages:
                    type: array
                    items:
                      description: Mensagens de erro
                      type: string
      security:
      - IdpSP:
        - api:integrador.sefaz.dare
  /orgaos/{id}/servicos:
    get:
      tags:
      - V1
      summary: Consulta todos os serviços cadastrados para o órgão.
      parameters:
      - name: id
        in: path
        description: Identificador do órgão
        required: true
        schema:
          type: integer
      - name: login
        in: header
        description: Usuário de acesso a SEFAZ
        required: true
        schema:
          type: string
      - name: senha
        in: header
        description: Senha de acesso a SEFAZ
        required: true
        schema:
          type: string
      responses:
        "200":
          description: Executado com sucesso
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ServicoOrgao'
        "204":
          description: Sucesso sem retorno
        "400":
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    enum:
                    - 400
                    type: string
                  trace:
                    description: Trace ID
                    type: string
                  messages:
                    type: array
                    items:
                      description: Mensagens de erro
                      type: string
        "500":
          description: Erro Inesperado no Servidor
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    enum:
                    - 500
                    type: string
                  trace:
                    description: Trace ID
                    type: string
                  messages:
                    type: array
                    items:
                      description: Mensagens de erro
                      type: string
      security:
      - IdpSP:
        - api:integrador.sefaz.dare
  /orgaos/{id}/servicos/{codigo}:
    get:
      tags:
      - V1
      summary: Consulta todos os detalhes de configuração do serviço.
      parameters:
      - name: id
        in: path
        description: Identificador do órgão
        required: true
        schema:
          type: integer
      - name: codigo
        in: path
        description: Código do Serviço
        required: true
        schema:
          type: integer
      - name: login
        in: header
        description: Usuário de acesso a SEFAZ
        required: true
        schema:
          type: string
      - name: senha
        in: header
        description: Senha de acesso a SEFAZ
        required: true
        schema:
          type: string
      responses:
        "200":
          description: Executado com sucesso
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DetalheServico'
        "204":
          description: Sucesso sem retorno
        "400":
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    enum:
                    - 400
                    type: string
                  trace:
                    description: Trace ID
                    type: string
                  messages:
                    type: array
                    items:
                      description: Mensagens de erro
                      type: string
        "500":
          description: Erro Inesperado no Servidor
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    enum:
                    - 500
                    type: string
                  trace:
                    description: Trace ID
                    type: string
                  messages:
                    type: array
                    items:
                      description: Mensagens de erro
                      type: string
      security:
      - IdpSP:
        - api:integrador.sefaz.dare
  /v4/filas/{id}/pagamentos:
    get:
      tags:
      - V4
      summary: Consulta os registros de pagamento da arrecadação do Estado de São
        Paulo.
      parameters:
      - name: id
        in: path
        description: Identificador da fila de saída que será exportada ou reenviada
        required: true
        schema:
          type: integer
      - name: codigoOperacao
        in: query
        description: "Indica o tipo de operação: 0 - Exportação (envio de registros\
          \ ainda não consumidos); 1 – Reenvio (envio de registros já lidos anteriormente)"
        required: true
        schema:
          type: integer
      - name: numeroLote
        in: query
        description: "Número sequencial do arquivo gerado no momento da exportaçã\
          o, que deve ser reenviado caso tipoOperacao = 1. Caso tipoOperacao = 0,\
          \ então o NSA deverá sempre ser 0"
        required: true
        schema:
          type: integer
      responses:
        "200":
          description: Executado com sucesso
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConsultaFilaPagamentos'
        "204":
          description: Sucesso sem retorno
        "400":
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    enum:
                    - 400
                    type: string
                  trace:
                    description: Trace ID
                    type: string
                  messages:
                    type: array
                    items:
                      description: Mensagens de erro
                      type: string
        "500":
          description: Erro Inesperado no Servidor
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    enum:
                    - 500
                    type: string
                  trace:
                    description: Trace ID
                    type: string
                  messages:
                    type: array
                    items:
                      description: Mensagens de erro
                      type: string
      security:
      - IdpSP:
        - api:integrador.sefaz.dare
components:
  schemas:
    ResponseConsultaDare:
      type: object
      properties:
        numeroControleDocumentoPrincipal:
          type: string
        numeroControleDocumentoDetalhe:
          type: string
        situacao:
          type: string
        linha04:
          type: string
        linha04DescricaoInformacao:
          type: string
        nomeRazaoSocial:
          type: string
        endereco:
          type: string
        cidade:
          type: string
        telefone:
          type: string
        placa:
          type: string
        cnae:
          type: string
        reservado01:
          type: string
        reservado02:
          type: string
        reservado03:
          type: string
        reservado04:
          type: string
        reservado05:
          type: string
        reservado06:
          type: string
        reservado07:
          type: string
        reservado08:
          type: string
        reservado09:
          type: string
        reservado10:
          type: string
        codigoOrgao:
          type: string
        codigoReceita:
          type: string
        descricaoReceita:
          type: string
        codigoTipoServico:
          type: string
        descricaoTipoServico:
          type: string
        dataVencimento:
          type: string
        dataEmissao:
          type: string
        linha05:
          type: string
        linha05DescricaoInformacao:
          type: string
        linha06:
          type: string
        linha06DescricaoInformacao:
          type: string
        referencia:
          type: string
        linha08:
          type: string
        linha08DescricaoInformacao:
          type: string
        valorReceita:
          format: double
          type: number
        valorJurosMora:
          format: double
          type: number
        valorMultaMora:
          format: double
          type: number
        valorAcrescimoFinanceiro:
          format: double
          type: number
        valorHonorariosAdvocaticios:
          format: double
          type: number
        valorTotal:
          format: double
          type: number
        observacao:
          type: string
        dataArrecadacao:
          type: string
        codigoBarras:
          type: string
        banco:
          type: string
        agencia:
          type: string
        autenticacaoBancaria:
          type: string
        valorRecebido:
          format: double
          type: number
        dadoPagamentosComplementares:
          type: array
          items:
            $ref: '#/components/schemas/DadoPagamentosComplementares'
        valorTotalComplementares:
          format: double
          type: number
        usuarioInutilizacao:
          type: string
        dataInutilizacao:
          type: string
        observacaoInutilizacao:
          type: string
        usuarioCancelamentoInutilizacao:
          type: string
        dataCancelamentoInutilizacao:
          type: string
        observacaoCancelamentoInutilizacao:
          type: string
        usuarioInutilizacaoFinal:
          type: string
        dataInutilizacaoFinal:
          type: string
        observacaoInutilizacaoFinal:
          type: string
        usuarioRestituicao:
          type: string
        dataRestituicao:
          type: string
        numeroDocRestituicao:
          type: string
        justificativaRestituicao:
          type: string
    DadoPagamentosComplementares:
      type: object
      properties:
        dataArrecadacao:
          type: string
        codigoBarras:
          type: string
        banco:
          type: string
        agencia:
          type: string
        autenticacaoBancaria:
          type: string
        valorRecebido:
          format: double
          type: number
    RequestInutilizaDare:
      type: object
      properties:
        observacaoInutilizacao:
          type: string
        usuarioInutilizacao:
          type: string
    ResponseInutilizaDare:
      type: object
      properties:
        codigoOrgao:
          type: string
        codigoReceita:
          type: string
        descricaoReceita:
          type: string
        codigoTipoServico:
          type: string
        descricaoTipoServico:
          type: string
        dataVencimento:
          type: string
        linha04Conteudo:
          type: string
        linha04Descricao:
          type: string
        linha05Conteudo:
          type: string
        linha05Descricao:
          type: string
        linha06Conteudo:
          type: string
        linha06Descricao:
          type: string
        referencia:
          type: string
        linha08Conteudo:
          type: string
        linha08Descricao:
          type: string
        valorReceita:
          type: string
        valorJurosMora:
          type: string
        valorMultaMora:
          type: string
        valorAcrescimoFinanceiro:
          type: string
        valorHonorariosAdvocaticios:
          type: string
        valorTotalOriginal:
          type: string
        observacao:
          type: string
        numeroControlePrincipal:
          type: string
        numeroControleDetalhe:
          type: string
        razaoSocial:
          type: string
        endereco:
          type: string
        cidade:
          type: string
        estado:
          type: string
        telefone:
          type: string
        placa:
          type: string
        cnae:
          type: string
        situacao:
          type: string
        reservado1:
          type: string
        reservado2:
          type: string
        reservado3:
          type: string
        reservado4:
          type: string
        reservado5:
          type: string
        reservado6:
          type: string
        reservado7:
          type: string
        reservado8:
          type: string
        reservado9:
          type: string
        reservado10:
          type: string
        dataArrecadacao:
          type: string
        codigoBarras:
          type: string
        banco:
          type: string
        agencia:
          type: string
        autenticacaoBancaria:
          type: string
        valorRecebido:
          type: string
        recolhimentoComplementar:
          type: string
        valorTotalRecolhimentos:
          type: string
        usuarioInutilizacao:
          type: string
        dataInutilizacao:
          type: string
        observacaoInutilizacao:
          type: string
        usuarioCancelamentoInutilizacao:
          type: string
        dataCancelamento:
          type: string
        motivoCancelamentoInutilizacao:
          type: string
        usuarioInutilizacaoFinal:
          type: string
        dataInutilizacaoFinal:
          type: string
        observacaoFinal:
          type: string
        resultadoOperacao:
          type: string
        detalhesOperacao:
          type: string
    RequestEmitirDare:
      type: object
      properties:
        documentoPrincipal:
          type: object
          allOf:
          - $ref: '#/components/schemas/DocumentoPrincipalRequest'
        documentosDetalhe:
          type: array
          items:
            $ref: '#/components/schemas/DocumentoDetalheRequest'
    ResponseEmitirDare:
      type: object
      properties:
        documentoPrincipal:
          type: object
          allOf:
          - $ref: '#/components/schemas/DocumentoPrincipalResponse'
        documentosDetalhe:
          type: array
          items:
            $ref: '#/components/schemas/DocumentoDetalheResponse'
    DocumentoPrincipalResponse:
      type: object
      properties:
        codigoDocumentoPrincipal:
          format: int64
          type: integer
        sequencialDocumentoPrincipal:
          format: int64
          type: integer
        codigoBarra:
          type: string
        numeroControleDarePrincipal:
          format: int64
          type: integer
        ipSolicitante:
          type: string
        sequencialEnvioEmissao:
          type: string
        cpfCnpjBase:
          type: string
        nomeContribuinte:
          type: string
        endereco:
          type: string
        cidade:
          type: string
        estado:
          type: string
        tipoTelefone:
          type: string
        telefone:
          type: string
        valorTotalReceita:
          format: double
          type: number
        valorTotalJurosMora:
          format: double
          type: number
        valorTotalMulta:
          format: double
          type: number
        valorTotalAcrescimoFinanceiro:
          format: double
          type: number
        valorTotalHonorarioAdvocaticio:
          format: double
          type: number
        valorTotal:
          format: double
          type: number
        documentoPago:
          type: string
        quantidadeDocumentosDetalhe:
          type: integer
        dataVencimento:
          type: string
        dataEmissao:
          type: string
        gerarPDF:
          type: string
        canalEmissao:
          type: string
        orgaoEmissor:
          type: string
        observacao:
          type: string
        dareImpressoPDF:
          type: string
    DocumentoDetalheResponse:
      type: object
      properties:
        codigoDocumentoDetalhe:
          format: int64
          type: integer
        numeroControleDocumentoDetalhe:
          type: string
        sequencialRegistroDetalhe:
          type: string
        indicadorImpressaoDetalhe:
          type: string
        indicadorRegistroDetalhe:
          type: integer
        codigoReceita:
          type: integer
        tipoServico:
          type: integer
        descricaoTipoServico:
          type: string
        dataVencimento:
          type: string
        linha04:
          type: string
        linha04DescricaoInformacao:
          type: string
        linha05:
          type: string
        linha05DescricaoInformacao:
          type: string
        linha06:
          type: string
        linha06DescricaoInformacao:
          type: string
        linha08:
          type: string
        linha08DescricaoInformacao:
          type: string
        referencia:
          type: string
        valorReceita:
          format: double
          type: number
        valorJurosMora:
          format: double
          type: number
        valorMultaMora:
          format: double
          type: number
        valorAcrescimoFinanceiro:
          format: double
          type: number
        valorHonorariosAdvocaticios:
          format: double
          type: number
        valorTotalDetalhe:
          format: double
          type: number
        observacao:
          type: string
        nomeContribuinte:
          type: string
        endereco:
          type: string
        cidade:
          type: string
        estado:
          type: string
        tipoTelefone:
          type: string
        telefone:
          type: string
        placa:
          type: string
        cnae:
          type: string
        reservado01:
          type: string
        reservado02:
          type: string
        reservado03:
          type: string
        reservado04:
          type: string
        reservado05:
          type: string
        reservado06:
          type: string
        reservado07:
          type: string
        reservado08:
          type: string
        reservado09:
          type: string
        reservado10:
          type: string
    DocumentoPrincipalRequest:
      type: object
      properties:
        ipSolicitante:
          type: string
        loginSolicitante:
          type: string
        gerarPdf:
          type: string
        observacao:
          type: string
        canalEmissao:
          type: integer
        orgaoEmissor:
          type: integer
        sequencialEnvioEmissao:
          type: integer
    DocumentoDetalheRequest:
      type: object
      properties:
        sequencialRegistroDetalhe:
          type: integer
        indicadorImpressaoDetalhe:
          type: string
        indicadorRegistroDetalhe:
          type: integer
        codigoReceita:
          type: integer
        tipoServico:
          type: integer
        descricaoTipoServico:
          type: string
        dataVencimento:
          type: string
        linha04:
          type: string
        linha05:
          type: string
        linha06:
          type: string
        linha08:
          type: string
        referencia:
          type: string
        valorReceita:
          format: double
          type: number
        valorJurosMora:
          format: double
          type: number
        valorMultaMora:
          format: double
          type: number
        valorAcrescimoFinanceiro:
          format: double
          type: number
        valorHonorariosAdvocaticios:
          format: double
          type: number
        valorTotalDetalhe:
          format: double
          type: number
        observacao:
          type: string
        nomeContribuinte:
          type: string
        endereco:
          type: string
        cidade:
          type: string
        estado:
          type: string
        tipoTelefone:
          type: string
        telefone:
          type: string
        placa:
          type: string
        cnae:
          type: string
        reservado01:
          type: string
        reservado02:
          type: string
        reservado03:
          type: string
        reservado04:
          type: string
        reservado05:
          type: string
        reservado06:
          type: string
        reservado07:
          type: string
        reservado08:
          type: string
        reservado09:
          type: string
        reservado10:
          type: string
    RequestInutilizaDaresLote:
      type: object
      properties:
        daresInutilizacao:
          type: array
          items:
            $ref: '#/components/schemas/Dare'
        qtdRegistros:
          type: integer
        tipoOperacao:
          type: string
        usuarioResponsavel:
          type: string
    Dare:
      type: object
      properties:
        codigoIdentificador:
          type: string
        observacaoMotivo:
          type: string
    ResponseInutilizaDaresLote:
      type: object
      properties:
        agencia:
          type: string
        autenticacaoBancaria:
          type: string
        banco:
          type: string
        cnae:
          type: string
        cidade:
          type: string
        codigoBarras:
          type: string
        codigoOrgao:
          type: string
        codigoReceita:
          type: string
        codigoTipoServico:
          type: string
        dataArrecadacao:
          type: string
        dataCancelamento:
          type: string
        dataInutilizacao:
          type: string
        dataInutilizacaoFinal:
          type: string
        dataVencimento:
          type: string
        descricaoReceita:
          type: string
        descricaoTipoServico:
          type: string
        detalhesOperacao:
          type: string
        endereco:
          type: string
        estado:
          type: string
        linha04Conteudo:
          type: string
        linha04Descricao:
          type: string
        linha05Conteudo:
          type: string
        linha05Descricao:
          type: string
        linha06Conteudo:
          type: string
        linha06Descricao:
          type: string
        linha08Conteudo:
          type: string
        linha08Descricao:
          type: string
        motivoCancelamentoInutilizacao:
          type: string
        numeroControleDetalhe:
          type: string
        numeroControlePrincipal:
          type: string
        observacao:
          type: string
        observacaoFinal:
          type: string
        observacaoInutilizacao:
          type: string
        placa:
          type: string
        razaoSocial:
          type: string
        recolhimentoComplementar:
          type: string
        referencia:
          type: string
        reservado1:
          type: string
        reservado10:
          type: string
        reservado2:
          type: string
        reservado3:
          type: string
        reservado4:
          type: string
        reservado5:
          type: string
        reservado6:
          type: string
        reservado7:
          type: string
        reservado8:
          type: string
        reservado9:
          type: string
        resultadoOperacao:
          type: string
        situacao:
          type: string
        telefone:
          type: string
        usuarioCancelamentoInutilizacao:
          type: string
        usuarioInutilizacao:
          type: string
        usuarioInutilizacaoFinal:
          type: string
        valorAcrescimoFinanceiro:
          type: string
        valorHonorariosAdvocaticios:
          type: string
        valorJurosMora:
          type: string
        valorMultaMora:
          type: string
        valorRecebido:
          type: string
        valorReceita:
          type: string
        valorTotalOriginal:
          type: string
        valorTotalRecolhimentos:
          type: string
    ResponseConsultaDareV2:
      type: object
      properties:
        documentoPrincipal:
          $ref: '#/components/schemas/DocumentoPrincipalConsultaDareV2'
        documentosDetalhe:
          type: array
          items:
            $ref: '#/components/schemas/DocumentosDetalheConsultaDareV2'
    DocumentoPrincipalConsultaDareV2:
      type: object
      properties:
        codigoBarra44:
          type: string
        codigoBarra48:
          type: string
        codigoBarraImagem:
          type: string
        numeroControleDarePrincipal:
          format: int64
          type: integer
        ipSolicitante:
          type: string
        cpfCnpjBase:
          type: string
        nomeContribuinte:
          type: string
        endereco:
          type: string
        cidade:
          type: string
        estado:
          type: string
        tipoTelefone:
          type: string
        telefone:
          type: string
        valorTotalReceita:
          format: double
          type: number
        valorTotalJurosMora:
          format: double
          type: number
        valorTotalMulta:
          format: double
          type: number
        valorTotalAcrescimoFinanceiro:
          format: double
          type: number
        valorTotalHonorarioAdvocaticio:
          format: double
          type: number
        valorTotal:
          format: double
          type: number
        quantidadeDocumentosDetalhe:
          type: integer
        dataVencimento:
          type: string
        dataEmissao:
          type: string
        orgaoEmissor:
          type: string
        observacao:
          type: string
        dareImpressoPDF:
          type: string
        pixLinkQRCode:
          type: string
        pixTxID:
          type: string
        pixEndToEndID:
          type: string
        pixLinhaQRCode:
          type: string
        pixImagemQRCode:
          type: string
        situacaoDocumentoPrincipal:
          type: string
    DocumentosDetalheConsultaDareV2:
      type: object
      properties:
        numeroControleDocumentoDetalhe:
          type: string
        indicadorImpressaoDetalhe:
          type: string
        codigoReceita:
          type: integer
        tipoServico:
          type: integer
        descricaoTipoServico:
          type: string
        dataVencimento:
          type: string
        linha04:
          type: string
        linha04DescricaoInformacao:
          type: string
        linha05:
          type: string
        linha05DescricaoInformacao:
          type: string
        linha06:
          type: string
        linha06DescricaoInformacao:
          type: string
        linha08:
          type: string
        linha08DescricaoInformacao:
          type: string
        referencia:
          type: string
        valorReceita:
          format: double
          type: number
        valorJurosMora:
          format: double
          type: number
        valorMultaMora:
          format: double
          type: number
        valorAcrescimoFinanceiro:
          format: double
          type: number
        valorHonorariosAdvocaticios:
          format: double
          type: number
        valorTotalDetalhe:
          format: double
          type: number
        observacao:
          type: string
        nomeContribuinte:
          type: string
        endereco:
          type: string
        cidade:
          type: string
        estado:
          type: string
        tipoTelefone:
          type: string
        telefone:
          type: string
        placa:
          type: string
        situacaoDareDetalhe:
          type: string
        cnae:
          type: string
        reservado01:
          type: string
        reservado02:
          type: string
        reservado03:
          type: string
        reservado04:
          type: string
        reservado05:
          type: string
        reservado06:
          type: string
        reservado07:
          type: string
        reservado08:
          type: string
        reservado09:
          type: string
        reservado10:
          type: string
    RequestEmitirDareV2:
      type: object
      properties:
        documentoPrincipal:
          $ref: '#/components/schemas/DocumentoPrincipalEmitirDareV2'
        documentosDetalhe:
          type: array
          items:
            $ref: '#/components/schemas/DocumentosDetalheEmitirDareV2'
    DocumentoPrincipalEmitirDareV2:
      type: object
      properties:
        ipSolicitante:
          type: string
        loginSolicitante:
          type: string
        gerarPDF:
          type: string
        observacao:
          type: string
        orgaoEmissor:
          type: integer
        gerarPix:
          type: string
    DocumentosDetalheEmitirDareV2:
      type: object
      properties:
        indicadorImpressaoDetalhe:
          type: string
        codigoReceita:
          type: integer
        tipoServico:
          type: integer
        descricaoTipoServico:
          type: string
        dataVencimento:
          type: string
        linha04:
          type: string
        linha05:
          type: string
        linha06:
          type: string
        linha08:
          type: string
        referencia:
          type: string
        valorReceita:
          format: double
          type: number
        valorJurosMora:
          format: double
          type: number
        valorMultaMora:
          format: double
          type: number
        valorAcrescimoFinanceiro:
          format: double
          type: number
        valorHonorariosAdvocaticios:
          format: double
          type: number
        valorTotalDetalhe:
          format: double
          type: number
        observacao:
          type: string
        nomeContribuinte:
          type: string
        endereco:
          type: string
        cidade:
          type: string
        estado:
          type: string
        tipoTelefone:
          type: string
        telefone:
          type: string
        placa:
          type: string
        cnae:
          type: string
        reservado01:
          type: string
        reservado02:
          type: string
        reservado03:
          type: string
        reservado04:
          type: string
        reservado05:
          type: string
        reservado06:
          type: string
        reservado07:
          type: string
        reservado08:
          type: string
        reservado09:
          type: string
        reservado10:
          type: string
    ResponseEmitirDareV2:
      type: object
      properties:
        documentoPrincipal:
          $ref: '#/components/schemas/DocumentoPrincipalEmissaoDareResponseV2'
        documentosDetalhe:
          type: array
          items:
            $ref: '#/components/schemas/DocumentosDetalheEmissaoDareResponseV2'
    DocumentoPrincipalEmissaoDareResponseV2:
      type: object
      properties:
        codigoBarra44:
          type: string
        codigoBarra48:
          type: string
        codigoBarraImagem:
          type: string
        numeroControleDarePrincipal:
          format: int64
          type: integer
        ipSolicitante:
          type: string
        cpfCnpjBase:
          type: string
        nomeContribuinte:
          type: string
        endereco:
          type: string
        cidade:
          type: string
        estado:
          type: string
        tipoTelefone:
          type: string
        telefone:
          type: string
        valorTotalReceita:
          format: double
          type: number
        valorTotalJurosMora:
          format: double
          type: number
        valorTotalMulta:
          format: double
          type: number
        valorTotalAcrescimoFinanceiro:
          format: double
          type: number
        valorTotalHonorarioAdvocaticio:
          format: double
          type: number
        valorTotal:
          format: double
          type: number
        quantidadeDocumentosDetalhe:
          type: integer
        dataVencimento:
          type: string
        dataEmissao:
          type: string
        gerarPDF:
          type: string
        orgaoEmissor:
          type: string
        observacao:
          type: string
        dareImpressoPDF:
          type: string
        gerarPix:
          type: string
        pixLinkQRCode:
          type: string
        pixTxID:
          type: string
        pixLinhaQRCode:
          type: string
        pixImagemQRCode:
          type: string
    DocumentosDetalheEmissaoDareResponseV2:
      type: object
      properties:
        numeroControleDocumentoDetalhe:
          type: string
        indicadorImpressaoDetalhe:
          type: string
        codigoReceita:
          type: integer
        tipoServico:
          type: integer
        descricaoTipoServico:
          type: string
        dataVencimento:
          type: string
        linha04:
          type: string
        linha04DescricaoInformacao:
          type: string
        linha05:
          type: string
        linha05DescricaoInformacao:
          type: string
        linha06:
          type: string
        linha06DescricaoInformacao:
          type: string
        linha08:
          type: string
        linha08DescricaoInformacao:
          type: string
        referencia:
          type: string
        valorReceita:
          format: double
          type: number
        valorJurosMora:
          format: double
          type: number
        valorMultaMora:
          format: double
          type: number
        valorAcrescimoFinanceiro:
          format: double
          type: number
        valorHonorariosAdvocaticios:
          format: double
          type: number
        valorTotalDetalhe:
          format: double
          type: number
        observacao:
          type: string
        nomeContribuinte:
          type: string
        endereco:
          type: string
        cidade:
          type: string
        estado:
          type: string
        tipoTelefone:
          type: string
        telefone:
          type: string
        placa:
          type: string
        cnae:
          type: string
        reservado01:
          type: string
        reservado02:
          type: string
        reservado03:
          type: string
        reservado04:
          type: string
        reservado05:
          type: string
        reservado06:
          type: string
        reservado07:
          type: string
        reservado08:
          type: string
        reservado09:
          type: string
        reservado10:
          type: string
    ServicoOrgao:
      type: object
      properties:
        codigoServico:
          type: integer
        descricaoServico:
          type: string
        codigoReceita:
          type: integer
        emissaoExclusiva:
          type: boolean
    DetalheServico:
      type: object
      properties:
        codigoServico:
          type: integer
        descricaoServico:
          type: string
        codigoOrgao:
          type: integer
        codigoReceita:
          type: integer
        descricaoReceita:
          type: string
        ativo:
          type: boolean
        emissaoExclusiva:
          type: boolean
        emissaoQtdServico:
          type: boolean
        emissaoQtdLote:
          type: boolean
        vencimentoTipo:
          type: integer
        vencimentoDiaMes:
          type: integer
        vencimentoQtdDias:
          type: integer
        tipoValor:
          type: string
        valor:
          format: double
          type: number
        valorProximoAno:
          format: double
          type: number
        quantidadeUfesp:
          format: double
          type: number
        avisosGerais:
          type: string
        informacoesComplementares:
          type: string
        canaisEmissao:
          type: array
          items:
            $ref: '#/components/schemas/CanalEmissao'
        orgaosEmissores:
          type: array
          items:
            $ref: '#/components/schemas/OrgaoEmissor'
        linhasConfiguracao:
          type: array
          items:
            $ref: '#/components/schemas/LinhaConfiguracao'
    CanalEmissao:
      type: object
      properties:
        codigo:
          type: integer
        descricao:
          type: string
    OrgaoEmissor:
      type: object
      properties:
        codigo:
          type: integer
        descricao:
          type: string
    LinhaConfiguracao:
      type: object
      properties:
        numeroLinha:
          type: string
        codigoLinhaInformacao:
          type: integer
        descricaoLinhaInformacao:
          type: string
        descricaoLabelCampo:
          type: string
        codigoLinhaValidacao:
          type: integer
        carregarDareImpresso:
          type: boolean
        carregarPreenchimento:
          type: boolean
        preenchimentoObrigatorio:
          type: boolean
    ConsultaFilaPagamentos:
      type: object
      properties:
        versaoXml:
          type: string
        codigoFilaSaida:
          type: integer
        nomeFilaSaida:
          type: string
        numeroLote:
          type: integer
        loteAdicional:
          type: boolean
        dares:
          type: array
          items:
            $ref: '#/components/schemas/DareV5'
        daresRetificadas:
          type: array
          items:
            $ref: '#/components/schemas/DareRetificada'
        mensagem:
          type: string
    DareV5:
      type: object
      properties:
        canalEmissao:
          type: string
        cidade:
          type: string
        cnae:
          type: string
        codigoAgencia:
          type: string
        codigoBanco:
          type: integer
        codigoBarras:
          type: string
        codigoFormaArrecadacao:
          type: integer
        codigoFormaPagamento:
          type: integer
        codigoIdentificacaoEmissor:
          type: integer
        codigoReceita:
          type: integer
        codigoTipoServico:
          type: integer
        dataArrecadacao:
          type: string
        dataHoraEntradaFilaSaida:
          type: string
        dataHoraLeituraFilaSaida:
          type: string
        dataProcessamento:
          type: string
        dataRecebimento:
          type: string
        dataRecebimentoAjustada:
          type: string
        dataTransacao:
          type: string
        dataVencimento:
          type: string
        descricaoFormaArrecadacao:
          type: string
        descricaoFormaPagamento:
          type: string
        descricaoOrgao:
          type: string
        descricaoReceita:
          type: string
        descricaoServico:
          type: string
        descricaoTipoOrigem:
          type: string
        descricaoTipoTransacao:
          type: string
        endereco:
          type: string
        estado:
          type: string
        identificadorRegistro:
          type: integer
        linha4CodigoInformacao:
          type: integer
        linha4Conteudo:
          type: string
        linha4DescricaoInformacao:
          type: string
        linha4TipoDocumento:
          type: integer
        linha5CodigoInformacao:
          type: integer
        linha5Conteudo:
          type: string
        linha5DescricaoInformacao:
          type: string
        linha6CodigoInformacao:
          type: integer
        linha6Conteudo:
          type: string
        linha6DescricaoInformacao:
          type: string
        linha8CodigoInformacao:
          type: integer
        linha8Conteudo:
          type: string
        linha8DescricaoInformacao:
          type: string
        nomeBanco:
          type: string
        numeroAutenticacao:
          type: string
        numeroControleDare:
          type: string
        numeroControleDareDetalhe:
          type: string
        numeroControleRecolhimentoComplementar:
          type: string
        numeroLote:
          type: integer
        numeroReferencia:
          type: integer
        observacaoServico:
          type: string
        placa:
          type: string
        razaoSocial:
          type: string
        recolhimentoComplementar:
          type: string
        reservado1:
          type: string
        reservado10:
          type: string
        reservado2:
          type: string
        reservado3:
          type: string
        reservado4:
          type: string
        reservado5:
          type: string
        reservado6:
          type: string
        reservado7:
          type: string
        reservado8:
          type: string
        reservado9:
          type: string
        sequencialArquivo:
          type: integer
        sequencialRegistro:
          type: integer
        telefone:
          format: int64
          type: integer
        tipoArquivoOrigem:
          type: integer
        tipoTelefone:
          type: string
        tipoTransacao:
          type: integer
        valorAcrescimoFinanceiro:
          format: double
          type: number
        valorHonorariosAdvocaticios:
          format: double
          type: number
        valorJurosMora:
          format: double
          type: number
        valorMulta:
          format: double
          type: number
        valorRecebido:
          format: double
          type: number
        valorReceita:
          format: double
          type: number
        valorTotal:
          format: double
          type: number
    DareRetificada:
      type: object
      properties:
        codigoBarras:
          type: string
        numeroControle:
          type: string
        dataArrecadacaoOriginal:
          type: string
        dataArrecadacaoRetificada:
          type: string
        dataRetificacaoRegistro:
          type: string
  responses:
    UnauthorizedError:
      description: Access token é invalido ou expirado
  securitySchemes:
    IdpSP:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://rhsso.idp-hml.sp.gov.br/auth/realms/idpsp/protocol/openid-connect/token
          scopes:
            api:integrador.sefaz.dare: Scope utilizado para executar as operações
        authorizationCode:
          authorizationUrl: https://rhsso.idp-hml.sp.gov.br/auth/realms/idpsp/protocol/openid-connect/auth
          tokenUrl: https://rhsso.idp-hml.sp.gov.br/auth/realms/idpsp/protocol/openid-connect/token
          scopes:
            api:integrador.sefaz.dare: Scope utilizado para executar as operações
    SecurityScheme:
      type: http
      description: Authentication
      scheme: basic
